Create a new search filter with data provided in the request body. JSON format is expected.
POST
/data/search-filters
curl \
--request POST 'http://api.example.com/data/search-filters' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "My Filter",
"person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"search_filter_group_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"list_type": "assets"
}'
Request examples
{
"name": "My Filter",
"person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"search_filter_group_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"list_type": "assets"
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "My Filter",
"person_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"search_filter_group_id": "c24a6ea4-ce75-4665-a070-57453082c25",
"list_type": "assets",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}